package types

// IServBots -- словарьсерверных ботов
type IServBots interface {
	// Get -- возвращает бота по его имени
	Get(name string) ИБот
	// BotStart -- запускает бота в работу
	BotStart(name string) error
	// ListBot -- возвращает список ботов
	ListBot() []ИБот
	// NewBot -- добавляет нового бота на бото-ферму
	NewBot(login, password string) error
}
